# QVM: Quaternions, Vectors, Matrices

### operator*(quat,scalar)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_quat<A>::value && is_quat<B>::value
            template <class A,class B>
            typename deduce_quat<A>::type
            operator*( A const & a, B b );
        }
    }

#### Returns:

A quaternion that is the result of multiplying the quaternion a by the scalar b.

See also: boost/qvm/quat_operations.hpp